about summary refs log tree commit diff
path: root/xmypkgs
diff options
context:
space:
mode:
authorChristian Neukirchen <chneukirchen@gmail.com>2015-07-09 13:40:21 +0200
committerChristian Neukirchen <chneukirchen@gmail.com>2015-07-09 13:40:21 +0200
commit7db0b1791ceecc0ae610605d06ecbb58fbff498a (patch)
tree0d593903744257a24eb98a7fce8533468afa4ecb /xmypkgs
parente43e48687091670ce61c8a302adc75f7c25bc2ee (diff)
downloadxtools-7db0b1791ceecc0ae610605d06ecbb58fbff498a.tar.gz
xtools-7db0b1791ceecc0ae610605d06ecbb58fbff498a.tar.xz
xtools-7db0b1791ceecc0ae610605d06ecbb58fbff498a.zip
add xmypkgs
Diffstat (limited to 'xmypkgs')
-rwxr-xr-xxmypkgs14
1 files changed, 14 insertions, 0 deletions
diff --git a/xmypkgs b/xmypkgs
new file mode 100755
index 0000000..f8b117a
--- /dev/null
+++ b/xmypkgs
@@ -0,0 +1,14 @@
+#!/bin/sh
+# xmypkgs [EMAIL] - list all pkgs maintained by you (or EMAIL)
+
+EMAIL=${1-$(git config user.email)}
+if [ -z "$EMAIL" ]; then
+	echo "who are you? tell your email address." 2>&1
+	exit 1
+fi
+
+cd "$(xdistdir)" &&
+find srcpkgs -name template -print0 |
+	xargs -0 grep -l -F "<$EMAIL>" |
+	cut -d/ -f2 |
+	sort